Bug 1251717 - [abrt] lxqt-panel: handle(): lxqt-panel killed by SIGSEGV
Summary: [abrt] lxqt-panel: handle(): lxqt-panel killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxqt-panel
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Helio Chissini de Castro
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:68fb371c8e37f94ab5684e43476...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-09 05:52 UTC by mastaiza
Modified: 2015-12-08 21:24 UTC (History)
3 users (show)

Fixed In Version: lxqt-panel-0.10.0-1.fc23 lxqt-panel-0.10.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 19:54:56 UTC


Attachments (Terms of Use)
File: backtrace (46.70 KB, text/plain)
2015-08-09 05:52 UTC, mastaiza
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-09 05:52 UTC, mastaiza
no flags Details
File: core_backtrace (9.93 KB, text/plain)
2015-08-09 05:52 UTC, mastaiza
no flags Details
File: dso_list (19.51 KB, text/plain)
2015-08-09 05:52 UTC, mastaiza
no flags Details
File: environ (1.24 KB, text/plain)
2015-08-09 05:52 UTC, mastaiza
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-09 05:52 UTC, mastaiza
no flags Details
File: maps (91.10 KB, text/plain)
2015-08-09 05:52 UTC, mastaiza
no flags Details
File: mountinfo (3.12 KB, text/plain)
2015-08-09 05:52 UTC, mastaiza
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-09 05:52 UTC, mastaiza
no flags Details
File: open_fds (3.49 KB, text/plain)
2015-08-09 05:52 UTC, mastaiza
no flags Details
File: proc_pid_status (1019 bytes, text/plain)
2015-08-09 05:52 UTC, mastaiza
no flags Details
File: var_log_messages (312 bytes, text/plain)
2015-08-09 05:52 UTC, mastaiza
no flags Details

Description mastaiza 2015-08-09 05:52:15 UTC
Version-Release number of selected component:
lxqt-panel-0.9.0-5.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        lxqt-panel
crash_function: handle
executable:     /usr/bin/lxqt-panel
global_pid:     1533
kernel:         4.1.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 handle at ../../src/kxerrorhandler.cpp:109
 #1 KXErrorHandler::handler_wrapper at ../../src/kxerrorhandler.cpp:102
 #6 _XSeqSyncFunction at XlibInt.c:199
 #7 XNextRequest at Macros.c:148
 #8 KXErrorHandlerPrivate at ../../src/kxerrorhandler.cpp:36
 #9 KXErrorHandler::KXErrorHandler at ../../src/kxerrorhandler.cpp:55
 #10 KWindowInfoPrivateX11::KWindowInfoPrivateX11 at ../../src/kwindowinfo_x11.cpp:36
 #11 create at ../../src/kwindowinfo.cpp:41
 #12 KWindowInfo::KWindowInfo at ../../src/kwindowinfo.cpp:202
 #13 LxQtTaskBar::acceptWindow at /usr/src/debug/lxqt-panel-0.9.0/plugin-taskbar/lxqttaskbar.cpp:135

Comment 1 mastaiza 2015-08-09 05:52:19 UTC
Created attachment 1060692 [details]
File: backtrace

Comment 2 mastaiza 2015-08-09 05:52:21 UTC
Created attachment 1060693 [details]
File: cgroup

Comment 3 mastaiza 2015-08-09 05:52:22 UTC
Created attachment 1060694 [details]
File: core_backtrace

Comment 4 mastaiza 2015-08-09 05:52:24 UTC
Created attachment 1060695 [details]
File: dso_list

Comment 5 mastaiza 2015-08-09 05:52:26 UTC
Created attachment 1060696 [details]
File: environ

Comment 6 mastaiza 2015-08-09 05:52:27 UTC
Created attachment 1060697 [details]
File: limits

Comment 7 mastaiza 2015-08-09 05:52:29 UTC
Created attachment 1060698 [details]
File: maps

Comment 8 mastaiza 2015-08-09 05:52:30 UTC
Created attachment 1060699 [details]
File: mountinfo

Comment 9 mastaiza 2015-08-09 05:52:32 UTC
Created attachment 1060700 [details]
File: namespaces

Comment 10 mastaiza 2015-08-09 05:52:33 UTC
Created attachment 1060701 [details]
File: open_fds

Comment 11 mastaiza 2015-08-09 05:52:35 UTC
Created attachment 1060702 [details]
File: proc_pid_status

Comment 12 mastaiza 2015-08-09 05:52:36 UTC
Created attachment 1060703 [details]
File: var_log_messages

Comment 13 Fedora Update System 2015-11-03 00:53:52 UTC
pcmanfm-qt-0.10.0-1.fc23 lxqt-session-0.10.0-1.fc23 lxqt-runner-0.10.0-1.fc23 lxqt-qtplugin-0.10.0-1.fc23 lxqt-powermanagement-0.10.0-1.fc23 lxqt-policykit-0.10.0-1.fc23 lxqt-panel-0.10.0-1.fc23 lxqt-openssh-askpass-0.10.0-1.fc23 lxqt-globalkeys-0.10.0-1.fc23 lxqt-config-0.10.0-1.fc23 lxqt-common-0.10.0-1.fc23 lxqt-about-0.10.0-1.fc23 liblxqt-0.10.0-1.fc23 libqtxdg-1.3.0-1.fc23 libsysstat-0.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205

Comment 14 Fedora Update System 2015-11-03 00:53:52 UTC
pcmanfm-qt-0.10.0-1.fc22 lxqt-session-0.10.0-1.fc22 lxqt-runner-0.10.0-1.fc22 lxqt-qtplugin-0.10.0-1.fc22 lxqt-powermanagement-0.10.0-1.fc22 lxqt-policykit-0.10.0-1.fc22 lxqt-panel-0.10.0-1.fc22 lxqt-openssh-askpass-0.10.0-1.fc22 lxqt-globalkeys-0.10.0-1.fc22 lxqt-config-0.10.0-1.fc22 lxqt-common-0.10.0-1.fc22 lxqt-about-0.10.0-1.fc22 liblxqt-0.10.0-1.fc22 libqtxdg-1.3.0-1.fc22 libsysstat-0.3.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 15 Fedora Update System 2015-11-03 18:57:44 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 16 Fedora Update System 2015-11-03 19:53:43 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205

Comment 17 Fedora Update System 2015-12-08 19:54:28 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-12-08 21:23:45 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.